From 40f0b92d7e060661c57b83da260fa0535fa463ba Mon Sep 17 00:00:00 2001
From: Andrew Benson <abenson+void@gmail.com>
Date: Sat, 1 Jun 2019 14:23:24 -0500
Subject: [PATCH] endless-sky: update to 0.9.9

---
 srcpkgs/endless-sky/patches/cxx-cross.patch | 11 +++++++++++
 srcpkgs/endless-sky/template                |  6 +++---
 2 files changed, 14 insertions(+), 3 deletions(-)
 create mode 100644 srcpkgs/endless-sky/patches/cxx-cross.patch

diff --git a/srcpkgs/endless-sky/patches/cxx-cross.patch b/srcpkgs/endless-sky/patches/cxx-cross.patch
new file mode 100644
index 00000000000..b8ee12c6b98
--- /dev/null
+++ b/srcpkgs/endless-sky/patches/cxx-cross.patch
@@ -0,0 +1,11 @@
+--- SConstruct.orig
++++ SConstruct
+@@ -2,6 +2,8 @@
+ 
+ # Load environment variables, including some that should be renamed.
+ env = Environment(ENV = os.environ)
++if 'CXX' in os.environ:
++	env.Replace(CXX = os.environ['CXX'])
+ if 'CXXFLAGS' in os.environ:
+ 	env.Append(CCFLAGS = os.environ['CXXFLAGS'])
+ if 'LDFLAGS' in os.environ:
diff --git a/srcpkgs/endless-sky/template b/srcpkgs/endless-sky/template
index 4eb72b03315..b9c90b9487e 100644
--- a/srcpkgs/endless-sky/template
+++ b/srcpkgs/endless-sky/template
@@ -1,7 +1,7 @@
 # Template file for 'endless-sky'
 pkgname=endless-sky
-version=0.9.8
-revision=2
+version=0.9.9
+revision=1
 build_style=scons
 makedepends="SDL2-devel glew-devel libjpeg-turbo-devel libmad-devel
  libopenal-devel libpng-devel"
@@ -11,7 +11,7 @@ maintainer="CoolOhm <micvlas@gmail.com>"
 homepage="http://endless-sky.github.io/"
 license="GPL-3.0-or-later"
 distfiles="https://github.com/endless-sky/endless-sky/archive/v${version}.tar.gz"
-checksum=69078c67656709646deb0c46fd960aa905601c23bb47c1696b0962ae8dff6d1e
+checksum=8bb9a17fd28177b2c17cadb282edcf4ef9a8b3de146f177cc4ca37c6f0aed8a5
 
 endless-sky-data_package() {
 	short_desc+=" - data files"
